icu::message2::FunctionOptions Class Reference

Structure encapsulating named options passed to a custom selector or formatter. More...

`#include <messageformat2_formattable.h>`

Inheritance diagram for icu::message2::FunctionOptions:

## Public Member Functions

FunctionOptionsMap | getOptions () const
| Returns a map of all name-value pairs provided as options to this function. More...
| FunctionOptions ()
| Default constructor. More...
virtual | ~FunctionOptions ()
| Destructor. More...
FunctionOptions & | operator= (FunctionOptions &&) noexcept
| Move assignment operator: The source FunctionOptions will be left in a valid but undefined state. More...
| FunctionOptions (FunctionOptions &&)
| Move constructor: The source FunctionOptions will be left in a valid but undefined state. More...
FunctionOptions & | operator= (const FunctionOptions &)=delete
| Copy constructor. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Friends

class | MessageFormatter
class | StandardFunctions

## Detailed Description

Structure encapsulating named options passed to a custom selector or formatter.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 488 of file messageformat2_formattable.h.

## Constructor & Destructor Documentation

## FunctionOptions() [1/2]

icu::message2::FunctionOptions::FunctionOptions | ( |  | ) |

inline

Default constructor.

Returns an empty mapping.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 520 of file messageformat2_formattable.h.

## ~FunctionOptions()

virtual icu::message2::FunctionOptions::~FunctionOptions | ( |  | ) |

virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## FunctionOptions() [2/2]

icu::message2::FunctionOptions::FunctionOptions | ( | FunctionOptions && |  | ) |

Move constructor: The source FunctionOptions will be left in a valid but undefined state.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## getOptions()

FunctionOptionsMap icu::message2::FunctionOptions::getOptions | ( |  | ) | const

inline

Returns a map of all name-value pairs provided as options to this function.

The syntactic order of options is not guaranteed to be preserved.

This class is immutable and movable but not copyable.

Returns
  A map from strings to `message2::Formattable` objects representing the results of resolving each option value.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 503 of file messageformat2_formattable.h.

## operator=() [1/2]

FunctionOptions& icu::message2::FunctionOptions::operator= | ( | const FunctionOptions & |  | ) |

delete

Copy constructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## operator=() [2/2]

FunctionOptions& icu::message2::FunctionOptions::operator= | ( | FunctionOptions && |  | ) |

noexcept

Move assignment operator: The source FunctionOptions will be left in a valid but undefined state.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_formattable.h